# buildit.sh
# script to build cdrom image
# copyright (c) 2001 joseph cheek.  all rights reserved.
# released under gpl

 
# where we are in the filesystem
ROOT_DIR=/

# language
LANG=en

# files to rm, check, copy, and copy w/o symlinks [dereference]
RM=""
CHECK_FILES="activate"
COPY_FILES="/usr/src/RedmondLinux/BUILD/lyzard/$LANG/lizard.conf"
COPY_NOSYM_FILES=""

# rpm packages to install, dirs to forcibly remove

# LPRng XFree86-setup ghostscript ld.so libstdc++-devel
# parted perl-add
# printfilter rpm-devel rpmcompat-devel sox-devel coas
RPMS_TO_INSTALL="DEV Glide PHI
  XFree86-3DLabs XFree86-4 XFree86-AGX XFree86-FBDev
  XFree86-I128 XFree86-IBM8514 XFree86-Mach XFree86-Mono
  XFree86-P9000 XFree86-S3 XFree86-SVGA XFree86-VGA16 XFree86-W32
  XFree86-addons XFree86-config XFree86-fonts-4. XFree86-fonts-75dpi
  XFree86-libs XFree86-server XFree86-xterm alsa
  bash- bzip2 cpio db ext2fs fatfs findutils freetype gdbm
  glibc gpm grub hwdata hwprobe kbd kernel-addon
  khotplug ktzset less libjpeg libmng libpng
  libstdc++ libz linux-kernel-binary lisa lyzard-lwm mesa mpg123 modutils
  mtools ncurses perl-5 playmidi popt procps qt2 rpm
  sh-utils sox strace textutils utempter util-linux vim xpm zoneinfo"

RM_RF="dev mnt proc root tmp"

# clean out most dirs
# lisa lizard
for a in bin boot etc lib opt sbin usr var
do
  rm -rf $a/*
done

# install framework
# from caldera's instpkg.sh script

zcat ../rl/data/framework.cgz | cpio -idmu || exit 1

for a in opt/{bin,man}; do
  [ -d $a ] || mkdir -p $a
done

for a in passwd shadow group hosts sysconfig/network; do
  [ ! -r etc/$a -a -r etc/$a- ] && mv etc/$a- etc/$a
done

rm -f etc/*- etc/sysconfig/*-

# files to remove

rm $RM 2>/dev/null

# files to check

for a in $CHECK_FILES
do
  [ -x $a ] || echo -e file $a not found\!\!\\a
done
 
# copy, preserve symlinks
 
for a in $COPY_FILES
do
  cp -af $ROOT_DIR/$a .
done
 
# copy, don't symlink
 
for a in $COPY_NOSYM_FILES
do
  cp $ROOT_DIR/$a .
done

# rpms to install

for a in $RPMS_TO_INSTALL
do
  echo $a
  rpm --root /opt/redmondlinux/builds/current/$LANG/live --nodeps --force \
    --excludedocs --noscripts --notriggers \
    -ivh /opt/redmondlinux//builds/current/$LANG/rl/install/RPMS/$a*
done

# Glide is in gamepak
  echo Glide3
  rpm --root /opt/redmondlinux/builds/current/$LANG/live --nodeps --force \
    --excludedocs --noscripts --notriggers \
    -ivh /opt/redmondlinux/builds/current/$LANG/rl/games/RPMS/Glide3*

# XFree86-server rpm doesn't install for some reason.  do this by hand.

# mkdir -p usr/X11R6/lib/modules/{codeconv,dri,drivers{,/linux},extensions,fonts,input,linux}

# for a in `rpmextr --cpio \
# /opt/redmondlinux/builds/current/col/install/RPMS/XFree86-server-4.0.2-26rl.i586.rpm |
#  cpio -i -t | grep -v doc/ | grep -v man/`; do
#  echo $a
#  cp -af /$a $a
# done

# 
# 
# do post-install scripts
# bash postinstall doesn't work, isn't needed

cp /etc/ld.so.conf etc
chroot /opt/redmondlinux/builds/current/$LANG/live /sbin/ldconfig

for a in `rpm --root /opt/redmondlinux/builds/current/$LANG/live -qa |
  grep -v bash` 
do
  echo $a
  rpm --PostIn --root /opt/redmondlinux/builds/current/$LANG/live $a |
    sed -e '/^\/sbin\/ldconfig$/d' -e '/^\/bin\/sh$/d' | tee /dev/tty > tmp/postin
  chmod +x tmp/postin
  chroot /opt/redmondlinux/builds/current/$LANG/live /tmp/postin
done

chroot /opt/redmondlinux/builds/current/$LANG/live /sbin/ldconfig
chroot /opt/redmondlinux/builds/current/$LANG/live /sbin/depmod -a

# dirs to forcibly remove

rm -rf $RM_RF 2>/dev/null

chown -R joseph.users *

# 
# 
# subdirs - call their own buildit scripts

for a in `find . -type d -maxdepth 1`; do

  [ "$a" = "." ] && continue

  if [ -x $a/.buildit.sh ]; then

    pushd $a > /dev/null
    echo entering $a
    LANG=$LANG ./.buildit.sh
    echo returning from $a
    popd > /dev/null

  else
    echo -e $a: no buildit.sh script\!\!\\a
  fi

done

