#!/bin/sh 

ROOT=/mnt/root
DEST=$1
IMG=/mnt/root/boot/rescue.img
RC=/tmp/mtoolsrc

# create a floppy image
mkdir -p $ROOT/boot || exit 101
/sbin/mkdosfs -s 1 -f 1 -F 12 -r 16 -C $IMG 1440 || exit 102

# create mtoolsrc
cat > $RC <<EOF
drive a:
  file="$IMG"
EOF
export MTOOLSRC=$RC

# copy kernel
mcopy -mo $ROOT/boot/vmlinuz-`uname -r`-modular a:/vmlinuz || exit 103

# prepare grub
mmd a:/boot || exit 104
mmd a:/boot/grub || exit 105
mcopy -mo $ROOT/usr/share/grub/i386-pc/stage* a:/boot/grub || exit 106
mcopy -mo $ROOT/boot/message a:/boot || exit 107

if [ -f /lizard/share/apps/lizard/uw.mbr ]; then
  mcopy -mo /lizard/share/apps/lizard/uw.mbr a:/boot || exit 108
fi

# copy initrd
if [ -f $ROOT/tmp/initrd-`uname -r`.gz ]; then
  mcopy -mo $ROOT/tmp/initrd-`uname -r`.gz a:/initrd-`uname -r`.gz || exit 109
fi

# copy over menu file
mcopy -mo /tmp/menu.lst a:/boot/grub || exit 110

# call grub
$ROOT/usr/sbin/grub --batch <<EOF
device (fd0) $IMG
root (fd0)
setup (fd0)
quit
EOF

# write the image
exec /lizard/share/apps/lizard/extrabin/copyrescue $IMG $DEST
