<qml title="Repartition">
  <h1>
    Repartition
  </h1>

  <p>
    Before Desktop/LX can be installed, you must create <a
    href="def_partition.qml">partitions</a> for it to reside on.  Usually
    you will want at least 2 partitions, one for the Desktop/LX <a
    href="def_rootpart.qml">root</a> partition, and one for the
    Desktop/LX <a
    href="def_linux-swap.qml">swap</a> partition.  More partitions can be
    mounted to other directories in the Desktop/LX filesystem, such as
    the users' local storage space (/home) residing on its own partition, as
    described in the <a href="fdisk.qml#Mount Point">Mount Point</a>
    section.
  </p>

  <p>
    On the hard disk partitioning screen, you will see a window which
    includes information about your hard disk.  Each column is described
    in more detail below.
  </p>
  <h3>
    <a name="Device">
      Device
    </a>
  </h3>
  <p>
    Each device name in the <strong>Device</strong> column refers to a hard
    disk, CDROM drive, or other partitionable device.  Partitions on each 
    device are also included.  Device names for drives and partitions in
    Desktop/LX are as follows:
  </p>

  <ul>
    <li>
      IDE/ATAPI devices
    </li>

    <ul>
      <li>
        <strong>/dev/hda</strong> = Primary IDE channel, Master Device
      </li>
      <li>
        <strong>/dev/hdb</strong> = Primary IDE channel, Slave Device
      </li>
      <li>
        <strong>/dev/hdc</strong> = Secondary IDE channel, Master Device
      </li>
      <li>
        <strong>/dev/hdd</strong> = Secondary IDE channel, Slave Device
      </li>
    </ul>

    <li>
      SCSI devices
    </li>

    <ul>
      <li>
        <strong>/dev/sda</strong> = The first SCSI hard disk/CDROM drive
      </li>
      <li>
        <strong>/dev/sdb</strong> = The second SCSI hard disk/CDROM drive
      </li>
      <li>
        <strong>/dev/sdc</strong> = The third SCSI hard disk/CDROM drive
      </li>
      <li>
        and so on.
      </li>
    </ul>

  </ul>

  <p>
    The convention for referencing paritions on each hard drive is to simply
    append a number to the end of the disk's device name, starting with 1
    (one).  For example, the first partition on the Primary Master IDE disk
    is referenced by <strong>/dev/hda1</strong>, the second partition on
    the same disk is <strong>/dev/hda2</strong>, and so on.
  </p>

  <p>
    The <strong>Start</strong> column refers to the corresponding
    partition's (or disk's) starting <a href="def_sectors.qml">sector</a>.
    For example, if /dev/hda1 starts at the beginning of the disk, its
    starting sector will be 1.
  </p>

  <p>
    The <strong>End</strong> column is much like the Start column, except
    that it designates the
    ending <a href="def_sectors.qml">sector</a> of the partition or disk.  
    The <strong>Start</strong> and <strong>End</strong> sectors represent the
    <a href="def_sector-range.qml">range</a> of sectors a specific
    partition or disk uses.  
  </p>

  <p>
    The <strong>Size</strong> column contains the current size of the
    corresponding partition.  "M" is used to represent megabytes.
  </p>

  <p>
    The <strong>System</strong> column contains the type of system for
    which the partition will be formatted.  Before a partition can be used 
    to store data or contain an operating system, it must be formatted.  The 
    available types of formatting are:
    <ul>
      <li>
        <a href="def_linux-native.qml">Linux Native</a>
      </li>
      <li>
        <a href="def_linux-swap.qml">Linux Swap</a>
      </li>
      <li>
        <a href="def_extended.qml">Extended</a>
      </li>
      <li>
        <a href="def_doswin.qml">DOS / Windows</a>
      </li>
    </ul>
  </p>

  <p>
    The <strong>Bootable</strong> column represents whether the
    corresponding partition will be bootable or not.  Normally you will only 
    want one bootable partition, since most systems will not 
    know what to do if they find more than one.
  </p>

  <p>
    The <strong>Mount At</strong> column is used to display to what
    directory the corresponding partition will be mounted.  For example, 
    you could have all users' home directories on a separate partition (for 
    safety or reuse between systems) by specifying <strong>/home</strong> as 
    the mount point.  One partition must be designated as the 
    <a href="def_rootpart.qml">root</a> ('/') partition.
  </p>

  <p>
    The <strong>Format</strong> column designates whether the
    corresponding partition will be formatted or not. If you have data
    that will be used in your Desktop/LX system but is not 
    to be formatted (such as in users' home directories), make sure this is 
    set to "no" using the Edit feature.
  </p>

  <p>
    The <strong>Edit</strong> button is used when changing the parameters
    of a partition.  The parameters that can be changed are the 
    Start and End sectors, the System type, the mount point, the 
    bootable flag, and whether the partition should be formatted or not.  Some 
    partitions must be formatted, such as the <a href="def_rootpart.qml">root
    </a> partition.
  </p>

  <p>
    The <strong>Delete</strong> button is used for deleting the parameters
    on a partition.  If you wish to reset a partitions settings
    click this button. 
  </p>

  <p>
    The <strong>Add logical</strong> button can be used to create a <a
    href="def_logical.qml">logical</a> partition within an 
    <a href="def_extended.qml">extended</a> partition.  You can only create a
    logical partition if an extended partition is present.
  </p>

  <p>
    The <strong>Write</strong> button is used to save the current 
    partition information to the disk's partition tables.  You must write the 
    partition information before clicking the <strong>Next</strong>
    button.
  </p>

  <p>
    The <strong>Reset</strong> button is used to change the 
    partition settings back to what they originally were before entering this 
    screen.  This undoes all changes.
  </p>
</qml>
